/*
** pixutil.h 
** Utilities zur Pixelbearbeitung
*/
#ifndef _PIXUTIL_H_
#define _PIXUTIL_H_

#include <stdlib.h>
#include "pixdef.h"

/* getChannel - returns one channel of rgba-array */
pixval *getChannel(pixval *pixarray, int len, int flag);

/* getMeanChannel - returns mean-value of a pixval-array */
double getMeanChannel(pixval *pixchannel, int len);

/* getMeanArray - returns mean-value of one channel of rgba-array */
double getMeanArray(long *pixarray, int len, int flag);

/* getMeanPGM - returns mean-value of a PortabelGreyMap-array */
double getMeanPGM(long *pixarray, int len);

#endif /*_PIXUTIL_H_*/



